
import SwiftUI


//###########################################################################################//
//### macOS 13+ specific code with macOS 11-12 fallback
//### https://developer.apple.com/forums/thread/721838
//###########################################################################################//


extension Scene {
    func CUSTOMdefaultSize(width: CGFloat, height: CGFloat) -> some Scene {
        if #available(macOS 13.0, *) {
            return self.defaultSize(width: width, height: height)
        }
        else {
            return self
        }
    }
}


extension View {
    func CUSTOMframe(minWidth: CGFloat, maxWidth: CGFloat, minHeight: CGFloat, maxHeight: CGFloat) -> some View {
        if #available(macOS 13.0, *) {
            return self.frame(minWidth: 150, maxWidth: .infinity, minHeight: 150, maxHeight: .infinity)
        }
        else {
            return self.frame(minWidth: minWidth, maxWidth: maxWidth, minHeight: minHeight, maxHeight: maxHeight)
        }
    }
}
